Summary:	Utility to display Apache logs with a top-like interface
Name:		apachetop
Version:	0.23.2
Release:	%mkrel 3
License:	BSD
Group:		Monitoring
URL:		https://github.com/tessus/apachetop
Source0:	https://github.com/tessus/apachetop/releases/download/%{version}/%{name}-%{version}.tar.gz
# mandrivaize default logfile
Patch1:		apachetop-0.12.6-logfile.patch
# support logfiles over 2GB (from Debian)
Patch2:		apachetop-0.12.5-large_logfile.patch
# fix some error
Patch3:		apachetop-0.12.6-buffer_overflow.patch
BuildRequires:	m4
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(gamin)
BuildRequires:	pkgconfig(readline)

Requires:	apache

%description
ApacheTop watches a log-file generated by Apache (in standard common or
combined log-format, although it doesn't (yet) make use of any of the extra
fields in combined) and generates human coherent output in real-time.

%prep
%setup -q
%patch -P 1 -p1 -b .log
%patch -P 2 -p1 -b .large
%patch -P 3 -p0

%build
%configure \
	--with-pcre2=%{_prefix} \
	--without-adns \
	--with-logfile=%{_localstatedir}/log/httpd/access_log

%make_build

%install
%make_install

%files
%doc AUTHORS README ChangeLog
%license LICENSE
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.23.2-3.mga10
+ Revision: 2231480
- Mageia 10 Mass Rebuild

* Sat Dec 21 2024 pterjan <pterjan> 0.23.2-2.mga10
+ Revision: 2127118
- Rebuild for patchN deprecation

* Fri Feb 17 2023 daviddavid <daviddavid> 0.23.2-1.mga9
+ Revision: 1943702
- new version: 0.23.2
- switch from deprecated pcre to pcre2

* Fri Mar 18 2022 umeabot <umeabot> 0.19.7-4.mga9
+ Revision: 1797757
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.19.7-3.mga8
+ Revision: 1542018
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.19.7-2.mga8
+ Revision: 1475928
- rebuild for readline

* Wed Jul 24 2019 daviddavid <daviddavid> 0.19.7-1.mga8
+ Revision: 1423665
- new version: 0.19.7

* Fri Sep 21 2018 umeabot <umeabot> 0.18.4-2.mga7
+ Revision: 1294438
- Mageia 7 Mass Rebuild

* Sun Aug 26 2018 daviddavid <daviddavid> 0.18.4-1.mga7
+ Revision: 1254541
- new version: 0.18.4

* Sun Jan 07 2018 daviddavid <daviddavid> 0.17.4-1.mga7
+ Revision: 1191315
- new version: 0.17.4

* Tue Jan 02 2018 wally <wally> 0.15.6-3.mga7
+ Revision: 1189412
- rebuild for new readline
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 daviddavid <daviddavid> 0.15.6-1.mga6
+ Revision: 906014
- new version: 0.15.6
- update URL and Source URL
- rediff patch1

* Wed Oct 15 2014 umeabot <umeabot> 0.12.6-7.mga5
+ Revision: 741203
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.6-6.mga5
+ Revision: 677860
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.12.6-5.mga4
+ Revision: 502557
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.12.6-4.mga3
+ Revision: 345928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 pterjan <pterjan> 0.12.6-3.mga3
+ Revision: 336434
- Fix build with automake 1.13

* Fri Dec 28 2012 pterjan <pterjan> 0.12.6-2.mga3
+ Revision: 335924
- Fix BuildRequires
- Use configure2_5x
- --with-pcre expects a path

* Mon Mar 05 2012 juancho <juancho> 0.12.6-1.mga2
+ Revision: 219078
- imported package apachetop



* Mon Mar 05 2011 Alfonso Vera <bersuit.vera@gmail.com> 0.12.6-1bdk.mga2
+ Build for Mageia 2
  - Make without adns
  - Building with libgamin 

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.12.6-7mdv2011.0
+ Revision: 616568
- the mass rebuild of 2010.0 packages

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.12.6-6mdv2010.0
+ Revision: 436654
- rebuild

  + Michael Scherer <misc@mandriva.org>
    - fix buffer overflow error

* Sat Feb 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.12.6-4mdv2009.1
+ Revision: 345951
- rebuild for latest readline
- rediff fuzzy patches

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 0.12.6-2mdv2009.0
+ Revision: 226159
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.12.6-1mdv2008.1
+ Revision: 135823
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - s/Mandrake/Mandriva/

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 0.12.6-1mdv2008.0
+ Revision: 16518
- 0.12.6 (security update)
- Change URL as the original author no longer maintains it
- Add P1 from debian for large logfiles support
- Add P2 from debian for gcc4.1 support
- Use autoconf 2.5
- Import apachetop




* Thu Jun 23 2005 Pascal Terjan <pterjan@mandrake.org> 0.12.5-3mdk
- BuildRequires readline-devel

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.12.5-2mdk
- rebuilt against new readline libs

* Tue Dec 14 2004 Pascal Terjan <pterjan@mandrake.org> 0.12.5-1mdk
- 0.12.5
- Drop patch2 (merged upstream)

* Sun Jul 25 2004 Pascal Terjan <pterjan@mandrake.org> 0.12-1mdk
- 0.12
- updated patch2 (gcc 3.4)

* Fri Jul 09 2004 Michael Scherer <misc@mandrake.org> 0.9-2mdk
- rebuild for new gcc
 
* Wed Jan 07 2004 Pascal Terjan <pterjan@mandrake.org> 0.9-1mdk
- 0.9

* Tue Dec 09 2003 Marcel Pol <mpol@mandrake.org> 0.8.1-1mdk
- 0.8.1

* Fri Nov 21 2003 Marcel Pol <mpol@gmx.net> 0.8-1mdk
- 0.8

* Sat Nov 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7-2mdk
- From Franck Villaume <fvill@freesuf.fr>
	- add m4 to BuildRequires

* Thu Oct 16 2003 Marcel Pol <mpol@gmx.net> 0.7-1mdk
- initial mandrake package
